Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982369 - [abrt] remmina-1.0.0-7.fc19: buffer_add_data: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
Summary: [abrt] remmina-1.0.0-7.fc19: buffer_add_data: Process /usr/bin/remmina was ki...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:20429aa901d9c44641a5108f705...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-08 20:04 UTC by Resa Drijsen
Modified: 2014-08-18 09:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 09:01:58 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-08 20:04 UTC, Resa Drijsen
no flags Details
File: cgroup (deleted)
2013-07-08 20:04 UTC, Resa Drijsen
no flags Details
File: core_backtrace (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details
File: dso_list (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details
File: environ (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details
File: limits (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details
File: maps (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details
File: open_fds (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details
File: proc_pid_status (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details
File: var_log_messages (deleted)
2013-07-08 20:05 UTC, Resa Drijsen
no flags Details

Description Resa Drijsen 2013-07-08 20:04:49 UTC
Description of problem:
Error message appeared after disconnecting from the remote desktop.

Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        remmina
crash_function: buffer_add_data
executable:     /usr/bin/remmina
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 buffer_add_data at /usr/src/debug/libssh-0.5.4/src/buffer.c:191
 #1 buffer_add_u8 at /usr/src/debug/libssh-0.5.4/src/buffer.c:300
 #2 ssh_channel_close at /usr/src/debug/libssh-0.5.4/src/channels.c:1097
 #3 channel_close at /usr/src/debug/libssh-0.5.4/src/legacy.c:59
 #4 remmina_ssh_tunnel_close_all_channels at /usr/src/debug/FreeRDP-Remmina-356c033/remmina/src/remmina_ssh.c:596
 #5 remmina_ssh_tunnel_free at /usr/src/debug/FreeRDP-Remmina-356c033/remmina/src/remmina_ssh.c:1209
 #6 remmina_protocol_widget_close_connection at /usr/src/debug/FreeRDP-Remmina-356c033/remmina/src/remmina_protocol_widget.c:283
 #7 _gtk_marshal_BOOLEAN__VOID at gtkmarshalers.c:1992
 #11 g_signal_emit_by_name at gsignal.c:3424
 #12 gtk_socket_filter_func at gtksocket.c:1587

Potential duplicate: bug 917116

Comment 1 Resa Drijsen 2013-07-08 20:04:54 UTC
Created attachment 770643 [details]
File: backtrace

Comment 2 Resa Drijsen 2013-07-08 20:04:57 UTC
Created attachment 770644 [details]
File: cgroup

Comment 3 Resa Drijsen 2013-07-08 20:05:00 UTC
Created attachment 770645 [details]
File: core_backtrace

Comment 4 Resa Drijsen 2013-07-08 20:05:04 UTC
Created attachment 770646 [details]
File: dso_list

Comment 5 Resa Drijsen 2013-07-08 20:05:07 UTC
Created attachment 770647 [details]
File: environ

Comment 6 Resa Drijsen 2013-07-08 20:05:10 UTC
Created attachment 770648 [details]
File: limits

Comment 7 Resa Drijsen 2013-07-08 20:05:13 UTC
Created attachment 770649 [details]
File: maps

Comment 8 Resa Drijsen 2013-07-08 20:05:17 UTC
Created attachment 770650 [details]
File: open_fds

Comment 9 Resa Drijsen 2013-07-08 20:05:20 UTC
Created attachment 770651 [details]
File: proc_pid_status

Comment 10 Resa Drijsen 2013-07-08 20:05:25 UTC
Created attachment 770652 [details]
File: var_log_messages

Comment 11 Christoph Wickert 2014-05-22 11:35:21 UTC
Assigning bug to new package maintainer.

Comment 12 Pavel Alexeev 2014-08-18 09:01:58 UTC
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.


Note You need to log in before you can comment on or make changes to this bug.